Create Document
curl --request POST \
--url https://los.universal.rollout.com/api/documents \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": "<string>",
"status": "<string>",
"type": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"fileSignature": "<string>",
"folderId": "<string>",
"fileSize": 123,
"created": "<string>",
"updated": "<string>",
"receivedDate": "<string>",
"requiresSignature": true,
"isSigned": true,
"signedBy": [
{}
],
"signedDate": "<string>",
"isActive": true,
"loanId": "<string>",
"borrowerId": "<string>",
"propertyId": "<string>",
"transactionId": "<string>",
"userId": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/documents"
payload = {
"name": "<string>",
"category": "<string>",
"status": "<string>",
"type": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"fileSignature": "<string>",
"folderId": "<string>",
"fileSize": 123,
"created": "<string>",
"updated": "<string>",
"receivedDate": "<string>",
"requiresSignature": True,
"isSigned": True,
"signedBy": [{}],
"signedDate": "<string>",
"isActive": True,
"loanId": "<string>",
"borrowerId": "<string>",
"propertyId": "<string>",
"transactionId": "<string>",
"userId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: '<string>',
status: '<string>',
type: '<string>',
fileUrl: '<string>',
mimeType: '<string>',
fileSignature: '<string>',
folderId: '<string>',
fileSize: 123,
created: '<string>',
updated: '<string>',
receivedDate: '<string>',
requiresSignature: true,
isSigned: true,
signedBy: [{}],
signedDate: '<string>',
isActive: true,
loanId: '<string>',
borrowerId: '<string>',
propertyId: '<string>',
transactionId: '<string>',
userId: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"category": "<string>",
"status": "<string>",
"type": "<string>",
"fileUrl": "<string>",
"fileSize": 123,
"mimeType": "<string>",
"fileSignature": "<string>",
"folderId": "<string>",
"created": "<string>",
"updated": "<string>",
"receivedDate": "<string>",
"requiresSignature": true,
"isSigned": true,
"signedBy": [
{}
],
"signedDate": "<string>",
"isActive": true,
"loanId": "<string>",
"borrowerId": "<string>",
"propertyId": "<string>",
"transactionId": "<string>",
"userId": "<string>",
"originalIds": {},
"original": {},
"rolloutUpdated": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Documents
Create Document
POST /documents
POST
/
documents
Create Document
POST /documents
Base URL: https://los.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/los.json POST /documentsBody
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I